<?php
if (!defined ('TYPO3_MODE')) {
	die ('Access denied.');
}

return array(
	'ctrl' => array(
		'title'	=> 'LLL:EXT:demoinline/Resources/Private/Language/locallang_db.xlf:tx_demoinline_domain_model_news',

		'label' => 'title',

		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',

		'dividers2tabs' => TRUE,
		'versioningWS' => FALSE,

		'sortby' => 'sorting',

		'origUid' => 't3_origuid',

		'delete' => 'deleted',
		'enablecolumns' => array(
			'disabled' => 'hidden',
			'starttime' => 'starttime',
			'endtime' => 'endtime',
		),
		'searchFields' => 'title',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('demoinline') . 'Resources/Public/Icons/Records/tx_demoinline_domain_model_news.gif'
	),
	'interface' => array(
		'showRecordFieldList' => 'hidden, title, author',
	),
	'types' => array(
		'1' => array('showitem' =>
			'hidden;;1, title, author,
		    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,starttime, endtime'),
	),
	'columns' => array(
		'hidden' => array(
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
			'config' => array(
				'type' => 'check',
			),
		),
		'starttime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'endtime' => array(
			'exclude' => 1,
			'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
			'config' => array(
				'type' => 'input',
				'size' => 13,
				'max' => 20,
				'eval' => 'datetime',
				'checkbox' => 0,
				'default' => 0,
				'range' => array(
					'lower' => mktime(0, 0, 0, date('m'), date('d'), date('Y'))
				),
			),
		),
		'title' => array(
			'exclude' => 0,
			'label' => 'LLL:EXT:demoinline/Resources/Private/Language/locallang_db.xlf:tx_demoinline_domain_model_news.title',
			'config' => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			),
		),
		'author' => array(
			'exclude' => 0,
			'label' =>  'LLL:EXT:demoinline/Resources/Private/Language/locallang_db.xlf:tx_demoinline_domain_model_news.person',
			'config' => array(
				'type' => 'inline',
				'foreign_table' => 'tx_demoinline_domain_model_person_mm',
				'foreign_field' => 'uid_foreign',
				'foreign_sortby' => 'sorting_foreign',
				'foreign_table_field' => 'tablenames',
				'foreign_match_fields' => array(
					'fieldname' => 'person'
				),
				'foreign_types' => array(
					'1' => array(
						'showitem' => 'person'
					)
				),

				'foreign_types_combination' => array(
					'1' => array(
						'showitem' => 'first_name'
					)
				),

				'foreign_label' => 'person',
				'foreign_selector' => 'person',
				'foreign_unique' => 'person',

				'size' => 10,

				'minitems' => 0,
				'maxitems' => 1,
				'appearance' => array(
					'useSortable' => TRUE,
					'useCombination' => TRUE,
					'collapseAll' => FALSE,
					'expandSingle' => TRUE,
					'levelLinksPosition' => 'top',
					'removeCreateNewRelationLink' => TRUE,
					'showSynchronizationLink' => FALSE,
					'showPossibleRecordsSelector' => TRUE,
					'showPossibleLocalizationRecords' => FALSE,
					'showAllLocalizationLink' => FALSE,

					'enabledControls' => array(
						'info' => TRUE,
						'new' => FALSE,
						'dragdrop' => TRUE,
						'sort' => FALSE,
						'hide' => TRUE,
						'delete' => TRUE,
						'localize' => FALSE,
					),
				),
				'behaviour' => array(
					'disableMovingChildrenWithParent' => TRUE
				)
			)
		)
	)
);